X2SYS_LIST(1)

NAME
x2sys_list - Output a subset of crossovers from data base

SYNOPSIS
x2sys_list -Ccolumn -TTAG [ coedbase.txt ] [ -Aasymm_max ] [ -FacdhiInNtTvwxyz ] [ -I[list] ] [ -L[corrtable] ] [ -Nnx_min ] [ -Qe|i ] [ -Rwest/east/south/north[r] ] [ -S[+]track ] [ -V ] [ -W[list] ] [ -bo[s|S|d|D[ncol]|c[var1/...]] ] [ -m[flag] ]

DESCRIPTION
x2sys_list will read the crossover ASCII data base coedbase.txt (or stdin) and extract a subset of the crossovers based on the other arguments. The output may be ASCII or binary.

-C  Specify which data column you want to process. Crossovers related to this column name must be present in the crossover data base.

-T  Specify the x2sys TAG which tracks the attributes of this data type.

OPTIONS
No space between the option flag and the associated arguments.

coedbase.txt
    The name of the input ASCII crossover error data base as produced by x2sys_cross. If not given we read standard input instead.

-A  Specifies maximum asymmetry in the distribution of crossovers relative to the mid point in time (or distance, if time is not available). Asymmetry is computed as (n_right - n_left)/(n_right + n_left), referring the the number of crossovers that falls in the left or right half of the range. Symmetric distributions will have values close to zero. If specified, we exclude tracks whose asymmetry exceeds the specify cutoff in absolute value [1, i.e., include all].

-F  Specify your desired output using any combination of acdhiInNtTvwxyz, in any order. Do not use space between the letters, and note your selection is case-sensitive. The output will be ASCII (or binary, see -bo) columns of values. Description of codes: a is the angle (< 90) defined by the crossing tracks, c is crossover value of chosen observation (see -C), d is distance along track, h is heading along track, i is the signed time interval between the visit at the crossover of the two tracks involved, I is same as i but is unsigned, n is the names of the two tracks, N is the id numbers of the two tracks, t is time along track in dateTclock format (NaN if not available), T is elapsed time since start of track along track (NaN if not available), v is speed along track, w is the composite weight, x is x-coordinate (or longitude), y is y-coordinate (or latitude), and z is observed value (see -C) along track. If -S is not specified then d,h,n,N,t,T,v results in two output columns each: first for track one and next for track two (in lexical order of track names); otherwise, they refer to the specified track only (except for n,N which then refers to the other track). The sign convention for c,i is track one minus track two (lexically sorted). Time intervals will be returned according to the TIME_UNIT GMT defaults setting.

-I  Name of ASCII file with a list of track names (one per record) that should be excluded from consideration [Default includes all tracks].

-L  Apply optimal corrections to the chosen observable. Append the correction table to use [Default uses the correction table TAG_corrections.txt which is expected to reside in the $X2SYS_HOME/TAG directory]. For the format of this file, see x2sys_solve.

-N  Only report data from pairs that generated at least nx_min crossovers between them [use all pairs].

-Q  Append e for external crossovers or i for internal crossovers only [Default is all crossovers].

-R  west, east, south, and north specify the Region of interest, and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of w/e/s/n. The two shorthands -Rg and -Rd stand for global domain (0/360 and -180/+180 in longitude respectively, with -90/+90 in latitude). Alternatively, specify the name of an existing grid file and the -R settings (and grid spacing, if applicable) are copied from the grid. For Cartesian data just give xmin/xmax/ymin/ymax. This option limits the COEs to those that fall inside the specified domain.

-S  Name of a single track. If given we restrict output to those crossovers involving this track [Default output is crossovers involving any track pair]. Prepend a '+' to make it print info relative to both tracks [Default is selected track]. This applies only to common information such as distance, time, heading (see -F for details).

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-W  Name of ASCII file with a list of track names and their relative weights (one track per record) that should be used to calculate the composite crossover weight (output code w above). [Default sets weights to 1].

-bo Selects binary output. Append s for single precision [Default is d (double)]. Uppercase S or D will force byte-swapping. Optionally, append ncol, the number of desired columns in your binary output file.

-m  Multiple segment output format. Segments with crossovers for a single track pair are separated by a record whose first character is flag and contains the two track names. [Default is '>'].

EXAMPLES
To find all the magnetic crossovers associated with the tag MGD77 from the file COE_data.txt, restricted to occupy a certain region in the south Pacific, and return location, time, and crossover value, try

x2sys_list COE_data.txt -V -T MGD77 -R 180/240/-60/-30 -C mag -F xytz > mag_coe.txt

To find all the faa crossovers globally that involves track 12345678 and output time since start of the year, using a binary double precision format, try

x2sys_list COE_data.txt -V -T MGD77 -C faa -S 12345678 -F Tz -bod > faa_coe.b

SEE ALSO
x2sys_binlist(1), x2sys_cross(1), x2sys_datalist(1), x2sys_get(1), x2sys_init(1), x2sys_put(1), x2sys_report(1), x2sys_solve(1)